<?php

$priority = 1;

/**
 * Dark Colors
 */
Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'label'    => esc_html__( 'Dark Presets', 'kinsey' ),
		'settings' => 'colors_generic_heading' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'span',
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Dark Color 1', 'kinsey' ),
		'default'     => '#000000',
		'settings'    => 'bg-dark-1',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-dark-1',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Dark Color 2', 'kinsey' ),
		'default'     => '#181818',
		'settings'    => 'bg-dark-2',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-dark-2',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Dark Color 3', 'kinsey' ),
		'default'     => '#333333',
		'settings'    => 'bg-dark-3',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-dark-3',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Dark Color 4', 'kinsey' ),
		'default'     => '#555555',
		'settings'    => 'bg-dark-4',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-dark-4',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'settings' => 'colors_generic_divider' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * Light Colors
 */
Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'label'    => esc_html__( 'Light Presets', 'kinsey' ),
		'settings' => 'colors_generic_heading' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'span',
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Light Color 1', 'kinsey' ),
		'default'     => '#ffffff',
		'settings'    => 'bg-light-1',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-light-1',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Light Color 2', 'kinsey' ),
		'default'     => '#fafafa',
		'settings'    => 'bg-light-2',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-light-2',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Light Color 3', 'kinsey' ),
		'default'     => '#f8f8f8',
		'settings'    => 'bg-light-3',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-light-3',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Light Color 4', 'kinsey' ),
		'default'     => '#f2f2ed',
		'settings'    => 'bg-light-4',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-light-4',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'settings' => 'colors_generic_divider' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * Gray Colors
 */
Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'label'    => esc_html__( 'Gray Presets', 'kinsey' ),
		'settings' => 'colors_generic_heading' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'span',
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Gray Color 1', 'kinsey' ),
		'default'     => '#b0b0b0',
		'settings'    => 'bg-gray-1',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-gray-1',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Gray Color 2', 'kinsey' ),
		'default'     => '#cccccc',
		'settings'    => 'bg-gray-2',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-gray-2',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Gray Color 3', 'kinsey' ),
		'default'     => '#888888',
		'settings'    => 'bg-gray-3',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-gray-3',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Gray Color 4', 'kinsey' ),
		'default'     => '#e8e8e8',
		'settings'    => 'bg-gray-4',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-gray-4',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'settings' => 'colors_generic_divider' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * White Colors
 */
Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'label'    => esc_html__( 'White Presets', 'kinsey' ),
		'settings' => 'colors_generic_heading' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'span',
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'White Color', 'kinsey' ),
		'default'     => '#ffffff',
		'settings'    => 'bg-white',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-white',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'settings' => 'colors_generic_divider' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * Custom Colors
 */
Kirki::add_field(
	'arts',
	array(
		'type'     => 'generic',
		'label'    => esc_html__( 'Custom Presets', 'kinsey' ),
		'settings' => 'colors_generic_heading' . $priority,
		'section'  => 'colors',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'span',
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Custom Color 1', 'kinsey' ),
		'default'     => '#ff0000',
		'settings'    => 'bg-custom-1',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-custom-1',
			),
		),
	)
);

Kirki::add_field(
	'arts',
	array(
		'section'     => 'colors',
		'type'        => 'color',
		'description' => esc_html__( 'Custom Color 2', 'kinsey' ),
		'default'     => '#ffff00',
		'settings'    => 'bg-custom-2',
		'priority'    => $priority ++,
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => ':root',
				'property' => '--color-custom-2',
			),
		),
	)
);
