<?php

$ajax_spinner_desktop_enabled = get_theme_mod( 'ajax_spinner_desktop_enabled', false );
$ajax_spinner_mobile_enabled  = get_theme_mod( 'ajax_spinner_mobile_enabled', true );

$spinner_attributes = array(
	'class'   => array( 'page-spinner', 'spinner' ),
	'id'      => 'js-spinner',
	'width'   => '65px',
	'height'  => '65px',
	'viewBox' => '0 0 66 66',
	'xmlns'   => 'http://www.w3.org/2000/svg',
);

if ( $ajax_spinner_desktop_enabled ) {
	$spinner_attributes['class'][] = 'd-lg-block';
} else {
	$spinner_attributes['class'][] = 'd-lg-none';
}

if ( $ajax_spinner_mobile_enabled ) {
	$spinner_attributes['class'][] = 'd-block';
} else {
	$spinner_attributes['class'][] = 'd-none';
}

?>

<svg <?php arts_print_attributes( $spinner_attributes ); ?>><circle class="spinner__path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle></svg>
